import 'package:json_annotation/json_annotation.dart';

part 'flash_sale_category_model.g.dart';

@JsonSerializable()
class FlashSaleCategoryModel {
  @JsonKey(name: '_id')
  final int id;
  final String? name;
  @JsonKey(name: 'code')
  final String? code;

  const FlashSaleCategoryModel({required this.id, this.name, this.code});

  factory FlashSaleCategoryModel.fromJson(Map<String, dynamic> json) =>
      _$FlashSaleCategoryModelFromJson(json);

  Map<String, dynamic> toJson() => _$FlashSaleCategoryModelToJson(this);
}
